Skip to main content
GET
/
intents
List intents
curl --request GET \
  --url https://api.getovra.com/intents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    "<unknown>"
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getovra.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)

Query Parameters

cursor
string

Pagination cursor returned by a previous request

limit
integer
default:50

Maximum number of items to return

Required range: 1 <= x <= 100
status
enum<string>

Filter by intent status

Available options:
approved,
pending_approval,
failed,
denied,
cancelled,
completed,
expired

Response

Paginated list of intents

data
any[]
hasMore
boolean
nextCursor
string | null